### Method

# Gegl Buffer save

#### Declaration [src]

    void
    gegl_buffer_save (
      GeglBuffer* buffer,
      const gchar* path,
      const GeglRectangle* roi
    )

#### Description [src]

Write a GeglBuffer to a file.

#### Parameters

`path`

  Type: `const gchar*`

  The path where the gegl buffer will be saved, any writable GIO uri is valid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`roi`

  Type: `GeglRectangle`

  The region of interest to write, this is the tiles that will be collected and written to disk.

  The data is owned by the caller of the method.